%define major 0

Name:		bonobo-conf
Summary:	Bonobo configuration moniker.
Version: 	0.16
Release: 	1mdk
License: 	GPL
Group:		Graphical desktop/GNOME
Source0: 	ftp://ftp.gnome.org/pub/GNOME/sources/%{name}/%{version}/%{name}-%{version}.tar.bz2
# (fc) 0.16-1mdk don't add -I/usr/include to cflags
Patch0:		bonobo-conf-0.16-includedir.patch.bz2
URL: 		http://www.gnome.org/
BuildRoot:	%{_tmppath}/%{name}-%{version}-root
BuildRequires:	GConf-devel
BuildRequires:	bison
BuildRequires:	bonobo-devel >= 1.0.14
Requires:       bonobo >= 1.0.14

%description
Bonobo configuration moniker.

%package -n lib%{name}%{major}
Summary:	Bonobo configuration moniker
Group:		Graphical desktop/GNOME
Requires:	%{name} >= %{version}

%description -n lib%{name}%{major}
Bonobo configuration moniker.

%package -n lib%{name}%{major}-devel
Summary:	Libraries and include files for the configuration moniker.
Group:		Development/GNOME and GTK+
Requires:	%name = %{version}
Requires:   lib%{name}%{major} = %{version}
Requires:   bonobo-devel >= 1.0.14
Obsoletes:  %{name}-devel
Provides:	%{name}-devel = %{version}
Provides:	lib%{name}-devel = %{version}

%description -n lib%{name}%{major}-devel
This package provides the necessary development libraries and include
files to allow you to develop programs using the Bonobo configuration moniker.

%prep
%setup -q
%patch0 -p1 -b .includedir

#needed by patch0 
automake

%build
%configure2_5x
%make

%install
%makeinstall_std

%{find_lang} %{name}

%clean
rm -rf $RPM_BUILD_ROOT


%post -n lib%{name}%{major} -p /sbin/ldconfig
  
%postun -n lib%{name}%{major} -p /sbin/ldconfig

%files -f %{name}.lang
%defattr(-, root, root)
%doc AUTHORS COPYING ChangeLog NEWS README
%{_bindir}/*
%{_libdir}/bonobo/monikers/*.so*
%{_datadir}/idl/*.idl
%{_datadir}/oaf/*.oaf

%files -n lib%{name}%{major}
%defattr(-, root, root)
%{_libdir}/lib*.so.*

%files -n lib%{name}%{major}-devel
%defattr(-, root, root)
%{_includedir}/bonobo-conf
%{_libdir}/bonobo/monikers/*a
%{_libdir}/*.sh
%{_libdir}/lib*.so
%{_libdir}/lib*.a
%{_libdir}/lib*.la


%changelog
* Wed Nov  6 2002 Frederic Crozat <fcrozat@mandrakesoft.com> 0.16-1mdk
- Release 0.16
- Remove patch0 (merged upstream)
- Patch0: don't add -I/usr/include to cflags

* Fri Sep 13 2002 Frederic Crozat <fcrozat@mandrakesoft.com> 0.15-3mdk
- Patch0 (CVS): fix config loss in some extreme cases

* Fri Aug  9 2002 Stefan van der Eijk <stefan@eijk.nu> 0.15-2mdk
- BuildRequires: gnome-libs-devel

* Tue May  7 2002 Frederic Crozat <fcrozat@mandrakesoft.com> 0.15-1mdk
- Release 0.15

* Wed Dec 12 2001 Frederic Crozat <fcrozat@mandrakesoft.com> 0.14-3mdk
- Clean BuildRequires
- Add dependency from lib to main package (needed since monikers are used)

* Mon Nov  5 2001 Frederic Crozat <fcrozat@mandrakesoft.com> 0.14-2mdk
- Fix requires in -devel package

* Mon Nov  5 2001 Frederic Crozat <fcrozat@mandrakesoft.com> 0.14-1mdk
- Release 0.14
- Fix dependencies

* Thu Oct 25 2001 Frederic Crozat <fcrozat@mandrakesoft.com> 0.13-1mdk
- Release 0.13

* Mon Oct  1 2001 Frederic Crozat <fcrozat@mandrakesoft.com> 0.12-1mdk
- Release 0.12

* Fri Sep 28 2001 Stefan van der Eijk <stefan@eijk.nu> 0.11-2mdk
- BuildRequires: gdk-pixbuf-devel gnome-libs-devel gnome-print-devel
  libxml-devel oaf-devel popt-devel

* Fri Aug 17 2001 Frederic Crozat <fcrozat@mandrakesoft.com> 0.11-1mdk
- Release 0.11

* Wed Aug  1 2001 Frederic Crozat <fcrozat@mandrakesoft.com> 0.10-1mdk
- Release 0.10

* Mon Jul 30 2001 Frederic Crozat <fcrozat@mandrakesoft.com> 0.9-1mdk
- Release 0.9

* Mon Jul 23 2001 Frederic Crozat <fcrozat@mandrakesoft.com> 0.8-1mdk
- Release 0.8

* Wed Jul 18 2001 Frederic Crozat <fcrozat@mandrakesoft.com> 0.7-1mdk
- First Mdk package

* Wed Jun 06 2001 Jens Finke <jens@gnome.org>
- created spec file
